TriggerExecutor (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.triggers

## Class TriggerExecutor

- java.lang.Object
- - org.apache.cassandra.triggers.TriggerExecutor

-     public class TriggerExecutor
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TriggerExecutor` | `instance`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ColumnFamily` | `execute(java.nio.ByteBuffer key, ColumnFamily updates)`
    `java.util.Collection<Mutation>` | `execute(java.util.Collection<? extends IMutation> mutations)`
    `ITrigger` | `loadTriggerInstance(java.lang.String triggerName)`
    `void` | `reloadClasses()` Reload the triggers which is already loaded, Invoking this will update the class loader so new jars can be loaded.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### instance

          public static final TriggerExecutor instance

  - ### Method Detail

    - #### reloadClasses

          public void reloadClasses()

      Reload the triggers which is already loaded, Invoking this will update the class loader so new jars can be loaded.

    - #### execute

          public ColumnFamily execute(java.nio.ByteBuffer key,
                             ColumnFamily updates)
                               throws InvalidRequestException

      Throws:
        `InvalidRequestException`

    - #### execute

          public java.util.Collection<Mutation> execute(java.util.Collection<? extends IMutation> mutations)
                                                 throws InvalidRequestException

      Throws:
        `InvalidRequestException`

    - #### loadTriggerInstance

          public ITrigger loadTriggerInstance(java.lang.String triggerName)
                                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`

Copyright © 2014 The Apache Software Foundation